<mat-drawer-container
  class="component-info-drawer-container"
  hasBackdrop
  (backdropClick)="closeComponentInfoDrawer()"
>
  <mat-drawer
    class="component-info-drawer"
    #componentInfoDrawer
    position="end"
    mode="side"
  >
    <app-component-more-info
      [componentInfo]="componentInfo"
      (closeDrawer)="closeComponentInfoDrawer()"
    ></app-component-more-info>
  </mat-drawer>

  <mat-drawer-content>
    <div id="data-space-view-page">
      <div class="d-flex align-items-center">
        <h2>{{ dataSpace.name }}</h2>

        <div class="ec-chips-theme">
          <mat-chip
            highlighted
            class="slabs-chip"
            [color]="status2ChipColor.get(dataSpace.status)"
          >
            {{ dataSpace.status }}
          </mat-chip>
        </div>

        <span class="spacer"></span>

        <button
          color="primary"
          mat-icon-button
          [matMenuTriggerFor]="nodeMenu"
          [disabled]="
            dataSpace.status !== statuses.RUNNING &&
            dataSpace.status !== statuses.ERROR
          "
          aria-label="Icon button with a horizontal three dot icon"
        >
          <mat-icon>more_horiz</mat-icon>
        </button>
        <mat-menu class="dataspace-tree-node-menu" #nodeMenu="matMenu">
          <button
            disableRipple
            mat-menu-item
            (click)="deleteDataSpace(dataSpace)"
          >
            <mat-icon color="warn" class="material-icons-outlined">
              delete
            </mat-icon>
            <span class="text-primary">Delete Data Space</span>
          </button>
        </mat-menu>
      </div>

      <mat-tab-group mat-stretch-tabs="false" mat-align-tabs="start">
        <mat-tab [label]="'Data Space architecture'">
          <div class="d-flex">
            <app-context-tree-menu
              [isView]="true"
              [nodeList]="_nodeList"
            ></app-context-tree-menu>

            <div class="ds-graph-chart-wrapper spacer">
              <mat-toolbar class="mat-elevation-z3">
                <button
                  class="opacity-0"
                  mat-icon-button
                  aria-label="Icon-button with Arrow back icon"
                >
                  <mat-icon aria-hidden="false" aria-label="Arrow back icon">
                    arrow_back
                  </mat-icon>
                </button>
                <span>
                  <app-breadcrumb
                    [dataSpaceName]="dataSpace.name"
                    [dataSpaceId]="dataSpace.id!"
                  ></app-breadcrumb>
                </span>

                <span class="spacer"></span>
              </mat-toolbar>

              @if (pageContentType === pageContentTypes.GRAPH_CHART) {
                <app-data-space-graph-chart
                  [isTemplatePreview]="true"
                  [dataSpace]="dataSpace"
                ></app-data-space-graph-chart>
              } @else if (
                pageContentType === pageContentTypes.COMPONENTS_TABLE
              ) {
                <app-category-components-table
                  [isDataSpaceView]="true"
                  [category]="tableCategory"
                  (componentInfoShowEvent)="openComponentInfoDrawer($event)"
                ></app-category-components-table>
              }
            </div>
          </div>
        </mat-tab>

        <mat-tab label="Information">
          <div class="ds-information d-flex mt-2">
            <div class="info-descr-wrapper w-50">
              <h3>Description</h3>
              <p>{{ dataSpace.description }}</p>
            </div>

            <div class="info-table-wrapper w-50">
              <table
                mat-table
                [dataSource]="infoTableDataSource"
                class="info-table"
                aria-label="Data Space information table"
              >
                <ng-container matColumnDef="property">
                  <th *matHeaderCellDef>Property</th>
                  <td mat-cell *matCellDef="let element">
                    {{
                      element.property === "tagList"
                        ? "Meta Tags"
                        : (element.property | titlecase)
                    }}
                  </td>
                </ng-container>

                <ng-container matColumnDef="value">
                  <th *matHeaderCellDef>Value</th>
                  <td mat-cell *matCellDef="let element">
                    @if (element.property === "tagList") {
                      @for (tag of element.value; track tag) {
                        <mat-chip class="slabs-chip ml-0" [color]="undefined">
                          {{ tag }}
                        </mat-chip>
                      }
                    } @else if (element.property === "type") {
                      {{
                        element.value ? getDataSpaceType(element.value) : "/"
                      }}
                    }
                  </td>
                </ng-container>

                <tr
                  mat-row
                  *matRowDef="let row; columns: infoTableColumns"
                ></tr>
              </table>
            </div>
          </div>
        </mat-tab>

        <mat-tab label="Console / Logs">
          <app-kubebox-console></app-kubebox-console>
        </mat-tab>
      </mat-tab-group>
    </div>
  </mat-drawer-content>
</mat-drawer-container>
